Aden

Webhooks

Outbound webhooks — register endpoints that receive signed event payloads (financials, bookings)

GET
/api/v1/webhooks/event-types

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

curl -X GET "https://example.com/api/v1/webhooks/event-types"
GET
/api/v1/webhooks/

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Query Parameters

teamId?string
organisationId?string
curl -X GET "https://example.com/api/v1/webhooks/"
POST
/api/v1/webhooks/

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/webhooks/" \  -H "Content-Type: application/json" \  -d '{    "url": "string"  }'
PATCH
/api/v1/webhooks/{id}

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PATCH "https://example.com/api/v1/webhooks/string" \  -H "Content-Type: application/json" \  -d '{}'
DELETE
/api/v1/webhooks/{id}

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X DELETE "https://example.com/api/v1/webhooks/string"
GET
/api/v1/webhooks/{id}/deliveries

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/webhooks/string/deliveries"
Was this helpful?